Skip to main content
GET
/
api
/
v1
/
sip-phone-numbers
List phone numbers
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://blackbox.dasha.ai/api/v1/sip-phone-numbers', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "orgId": "<string>",
      "phoneNumber": "<string>",
      "credentialsId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdTime": "2023-11-07T05:31:56Z",
      "lastUpdateTime": "2023-11-07T05:31:56Z",
      "registrationStatus": {
        "state": "Disabled",
        "errorDescription": "<string>",
        "sipResponseMessage": "<string>",
        "lastUpdated": "2023-11-07T05:31:56Z",
        "expiresAt": "2023-11-07T05:31:56Z"
      },
      "description": "<string>",
      "displayName": "<string>",
      "registration": true,
      "providerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "incomingCallsAgentId": "<string>"
    }
  ],
  "totalCount": 123,
  "skip": 123,
  "take": 123
}

Query Parameters

phoneNumber
string

Filter by phone number

skip
integer<int32>
default:0

Number of items to skip

Required range: 0 <= x <= 2147483647
take
integer<int32>
default:20

Number of items to return

Required range: 1 <= x <= 1000
linkedAgentId
string

Filter by linked agent

unlinkedOnly
boolean
default:false

Show only unlinked numbers

providerId
string<uuid>

Filter by provider. Returns only phone numbers managed by this provider.

Response

Returns phone numbers successfully

Generic paginated response containing a subset of items along with pagination metadata. Enables efficient navigation through large datasets by returning data in manageable pages rather than loading all results at once.

items
object[]
required

Items in the current page. Contains the subset of results for this page based on the Skip and Take parameters.

totalCount
integer<int32>
required

Total number of items available across all pages. Use this to calculate the total number of pages and build pagination controls. Represents the complete result set size regardless of pagination.

skip
integer<int32>
required

Number of items skipped from the beginning of the result set to reach this page. For example, Skip=20 with Take=10 returns items 21-30. Use this to understand the current position in the overall result set.

take
integer<int32>
required

Maximum number of items included in this page. Indicates the requested page size. The actual Items count may be less than Take on the last page or when fewer results are available.